chirp (1:20240413-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove myself from Uploaders.

  [ Dave Hibberd ]
  * New Upstream import
    * Patches refreshed

 -- Dave Hibberd <hibby@debian.org>  Tue, 16 Apr 2024 23:38:04 +0100

chirp (1:20240224-1) unstable; urgency=medium

  * New upstream import
    * Patches refreshed
  * Add python3-suds to Recommends
    * Thanks to Harlan Lieberman-Berg
  * Added .gitignore for .pc/ folder 

 -- Dave Hibberd <hibby@debian.org>  Sat, 24 Feb 2024 14:19:59 +0000

chirp (1:20240122-2) unstable; urgency=medium

  * Patch d/install to alllow launch (Closes: #1061692)
    - Thanks to Harlan Lieberman-Berg 

 -- Dave Hibberd <hibby@debian.org>  Wed, 31 Jan 2024 23:38:27 +0000

chirp (1:20240122-1) unstable; urgency=medium

  [ Yogeswaran Umasankar ]
  * New upstream version 20240122.
  * Removed python3-future from d/control
    Build-Depends and Depends. (Closes: #1059110)
  * Patch for replacing python3-future in chrip/chirp_common.py,
    setup.py and requirements files.
  * Revised old patches to fit new upstream version.
  * Fixed lintian warning in copyright.

 -- Dave Hibberd <hibby@debian.org>  Fri, 26 Jan 2024 00:04:26 +0000

chirp (1:20231027-1) unstable; urgency=medium

  * New d/watch to reflect upstream changes
  * Updates to d/control for new dependencies
  * Standards bumped to 4.6.2
  * Major updates to d/patches to reflect new code
  * d/rules modified to remove extraneous files
  * Addition of d/install and d/manpages
  * d/copyright updated with debian contributors and licensecheck for other
    files

 -- Dave Hibberd <d@vehibberd.com>  Sat, 28 Oct 2023 16:22:19 +0100

chirp (1:20221106+py3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Dave Hibberd <d@vehibberd.com>  Mon, 16 Oct 2023 22:05:28 +0100

chirp (1:20221106+py3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version 20221106+py3.
  * Switch upstream to github. (Closes: #1012538)

 -- Christoph Berg <myon@debian.org>  Tue, 08 Nov 2022 12:03:58 +0100

chirp (1:20200227+py3+20200213-4) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team Upload.
  * Pull in patch set from https://github.com/atpage/chirp - this fork fixes
    a significant amount of bugs from the py3 branch that we havn't got to yet.

 -- Dave Hibberd <d@vehibberd.com>  Sat, 20 Mar 2021 22:43:37 +0000

chirp (1:20200227+py3+20200213-3) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-future (Closes: #968489)
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 16 Aug 2020 16:29:10 -0700

chirp (1:20200227+py3+20200213-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Remove debug.log file that contained non-reproducible data.
    (Closes: #968183)

 -- Christoph Berg <myon@debian.org>  Mon, 10 Aug 2020 13:24:57 +0200

chirp (1:20200227+py3+20200213-1) unstable; urgency=medium

  * Switch to upstream py3 branch based on python3-wxgtk4.0.
    (Closes: #885265, #936299)
  * Lots of python3 porting missing, tested so far: Baofeng UV-5R.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Aug 2020 22:59:46 +0200

chirp (1:20200227-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 28 Feb 2020 13:16:20 +0100

chirp (1:20200213-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 15 Feb 2020 11:24:57 +0100

chirp (1:20200207-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Feb 2020 16:37:37 +0100

chirp (1:20200206-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Feb 2020 10:00:19 +0100

chirp (1:20200107-1) unstable; urgency=medium

  * New upstream version.
  * Remove python-libxslt1 dependency, not used.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Jan 2020 12:14:08 +0100

chirp (1:20191221-2) unstable; urgency=medium

  * Use Architecture: all.
  * Use DH 12 and buildsystem pybuild.
  * Recommend python-future for chirp.drivers.tk8180.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Dec 2019 11:16:38 +0100

chirp (1:20191221-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Dec 2019 18:14:01 +0100

chirp (1:20190718-1) unstable; urgency=medium

  [ Ana C. Custura ]
  * New upstream version 20190718
  * Disables mimetype in chirp.desktop (Closes: #914421)
  * Removes unnecessary patch
  * Bump S-V to 4.4.0 (no changes required)
  * Updates patch metadata

 -- Ana Custura <ana@netstat.org.uk>  Tue, 30 Jul 2019 13:32:46 +0100

chirp (1:20190104-1) unstable; urgency=medium

  [ Ana Custura ]
  * New upstream version

  [ Ana C. Custura ]
  * Bumps debhelper version to 11
  * Fixes insecure URLs

 -- Ana Custura <ana@netstat.org.uk>  Tue, 30 Jul 2019 12:19:55 +0100

chirp (1:20180815-1) unstable; urgency=medium

  [ Ana Custura ]
  * New upstream version

  [ Ana C. Custura ]
  * Updates Standards-Version to 4.2.0
  * Updates VCS fields
  * Removes ancient python version field
  * New upstream version 20180815
  * Updates patch file

 -- Ana Custura <ana@netstat.org.uk>  Thu, 16 Aug 2018 13:13:18 +0100

chirp (1:20170714-1) unstable; urgency=medium

  * New upstream version

 -- Iain R. Learmonth <irl@debian.org>  Sun, 16 Jul 2017 00:45:28 +0100

chirp (1:20170124-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control
    - Updated Standards Version
    - Added myself to uploaders

 -- Dave Hibberd <d@vehibberd.com>  Tue, 24 Jan 2017 20:35:53 +0000

chirp (1:20161123-1) unstable; urgency=medium

  * New upstream version

 -- Iain R. Learmonth <irl@debian.org>  Sat, 03 Dec 2016 15:42:54 +0000

chirp (1:20161102-1) unstable; urgency=medium

  * New upstream version (Closes: #843195)

 -- Iain R. Learmonth <irl@debian.org>  Tue, 08 Nov 2016 11:56:14 +0000

chirp (1:20160717-1) unstable; urgency=medium

  * New upstream version (Closes: #817237)
  * Phoning home has been disabled (Closes: #829494)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 25 Jul 2016 19:38:03 +0100

chirp (1:20160419-1) unstable; urgency=medium

  * New upstream version
  * Updates manpages to include working with files

 -- Ana Custura <ana@netstat.org.uk>  Fri, 29 Apr 2016 10:42:18 +0100

chirp (1:20160415-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches:
   - New patch to add more detail to the man page
   - New patch for desktop file:
    - Added Keywords field
    - Added ability for files to be opened in CHIRP
    - Removing deprecated Encoding field
  * debian/control:
   - Improving extended description

 -- Iain R. Learmonth <irl@debian.org>  Fri, 15 Apr 2016 16:33:08 +0100

chirp (1:20160402-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
   - Updated standards version to 3.9.7
   - Removed versioned dependency for python
   - Changed Vcs-* fields to secure URIs
  * debian/copyright:
   - Update locations, drivers now in chirp/drivers/

 -- Iain R. Learmonth <irl@debian.org>  Mon, 04 Apr 2016 19:03:59 +0100

chirp (1:20160110-1) unstable; urgency=medium

  * New upstream version.

 -- Iain R. Learmonth <irl@debian.org>  Wed, 13 Jan 2016 13:00:32 +0000

chirp (1:20151225-1) unstable; urgency=medium

  * New upstream version.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 25 Dec 2015 11:40:15 +0000

chirp (1:20151212-1) unstable; urgency=medium

  * New upstream version.
  * Refreshed patch:
   - 04-remove-redundant-license.patch

 -- Iain R. Learmonth <irl@debian.org>  Sun, 13 Dec 2015 13:07:06 +0000

chirp (1:20151023-1) unstable; urgency=medium

  * New upstream version (Closes: #798947)
  * Refreshed patches:
   - 01-fix-manifest.patch
   - 02-fix-setup-py.patch
  * d/control:
   - Bumped standards version to 3.9.6
   - Added X-Python-Version (>=2.7)
   - Removed inactive uploaders
   - Added myself as uploader
   - Moved Vcs-Git to pkg-hamradio
   - Reformatted with cme
  * d/watch:
   - Fixed for new downloads location
  * d/rules:
   - Removed useless comments

 -- Iain R. Learmonth <irl@debian.org>  Sun, 01 Nov 2015 15:57:22 +0000

chirp (0.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python-support Build-Depend in favour of dh-python, it's already been
    ported to dh_python2 (Closes: #785972).

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 Aug 2015 15:10:55 +0200

chirp (0.4.1-1.0) unstable; urgency=medium

  * Non-maintainer upload
  * new upstream version fixing critical issue with some Baofeng radios
    (Closes: #767029)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 27 Oct 2014 17:08:43 -0400

chirp (0.4.0-1) unstable; urgency=low

  * new upstream version, thanks to Christopher Knadle for his help with it
  * debian/control:
      - Standards-Version: update to 3.9.5 (no changes needed)
      - Remove obsolete DM-Upload-Allowed entry
      - Cononicalize VCS links
  * debian/source/lintian-overrides:
      - add override debian-watch-may-check-gpg-signature
        upstream does not sign tarballs

 -- Bdale Garbee <bdale@gag.com>  Thu, 26 Jun 2014 12:55:21 -0600

chirp (0.3.1-3) unstable; urgency=low

  * change architecture to linux-any in control due to #723873 in python-serial
    breaking non-linux builds

 -- Bdale Garbee <bdale@gag.com>  Sat, 21 Sep 2013 00:44:46 -0600

chirp (0.3.1-2) unstable; urgency=low

  * move python dependency to >=2.7, hopefully will resolve kfreebsd build
    failures so we can promote to testing .. thanks to Colin Tuckley for
    pointing this out.

 -- Bdale Garbee <bdale@gag.com>  Sat, 07 Sep 2013 15:41:32 -0600

chirp (0.3.1-1) unstable; urgency=low

  * new upstream version, closes: #672318
  * add myself to the Uploaders list
  * create a collab-maint git repo to host chirp packaging henceforth

 -- Bdale Garbee <bdale@gag.com>  Wed, 07 Aug 2013 22:51:41 -0600

chirp (0.3.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (Closes: #672318)
  * updated debian/copyright for 1.0 format
  * updated to debhelper compat 9
  * update Standards-Version to 3.9.4 (no changes required)
  * add dependencies python-libxml2 and python-serial
  * update patches for new upstream version

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sun, 24 Mar 2013 16:19:14 -0400

chirp (0.1.12-1) unstable; urgency=low

  * Latest release from upstream
  * Ready for initial debian upload (Closes: 612965)

 -- Steve Conklin <steve@conklinhouse.com>  Mon, 26 Sep 2011 12:55:16 -0600
